vmap
Prev | More Memory Management Functions | Next

## Name

vmap — map an array of pages into virtually contiguous space

## Synopsis

`void * vmap (` | struct page ** | pages,
| unsigned int | count,
| unsigned long | flags,
| pgprot_t | prot`)`;

## Arguments

`pages`

  array of page pointers

`count`

  number of pages to map

`flags`

  vm_area->flags

`prot`

  page protection for the mapping

## Description

Maps `count` pages from `pages` into contiguous kernel virtual space.

Prev | Up | Next
vunmap | Home | vmalloc